"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatCompilerOptions = exports.DEFAULT_COMPILER_OPTIONS = void 0;
var typescript_1 = __importDefault(require("typescript"));
exports.DEFAULT_COMPILER_OPTIONS = {
    skipLibCheck: true,
    module: typescript_1.default.ModuleKind.ESNext,
    // Always use tslib
    noEmitHelpers: true,
    importHelpers: true,
    // Typescript needs to emit the code for us to work with
    noEmit: false,
    emitDeclarationOnly: false,
    // Preventing Typescript from resolving code may break compilation
    noResolve: false
};
function formatCompilerOptions(compilerOptions) {
    return __assign(__assign({}, exports.DEFAULT_COMPILER_OPTIONS), compilerOptions);
}
exports.formatCompilerOptions = formatCompilerOptions;
